petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscObjectSetPrecision

sets the precision used within a given object.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectSetPrecision(PetscObject obj,PetscPrecision precision)

Collective on the PetscObject

### Input Parameters

| obj | - the PETSc object; this must be cast with (PetscObject), for example, PetscObjectCompose((PetscObject)mat,...);
| precision | - the precision

### See Also

PetscObjectQuery(), PetscContainerCreate()

Level:advanced
Location:src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages